                            ### -- La Voulte thylacocephalans - Appendages -- ###
#functions
source("script/function_allometry.R")

#Clausocaris harpa
  ##import
clausocaris_app<-import('Data/Clausocaris','Appendages')
colnames(clausocaris_app)<-c('ra1-g-e1-l','ra1-g-e1-w','ra1-g-e2-l','ra1-g-e2-w','ra1-g-e3-l','ra1-g-e3-w','ra1-g-e4-l', 
                             'ra1-g-e4-w','ra1-g-e5-l','ra1-g-e5-w','ra2-g-e1-l','ra2-g-e1-w','ra2-g-e2-l','ra2-g-e2-w',	
                             'ra2-g-e3-l','ra2-g-e3-w','ra2-g-e4-l','ra2-g-e4-w','ra2-g-e5-l','ra2-g-e5-w','ra3-g-e1-l',	
                             'ra3-g-e1-w','ra3-g-e2-l','ra3-g-e2-w','ra3-g-e3-l','ra3-g-e3-w','ra3-g-e4-l','ra3-g-e4-w',
                             'ra3-g-e5-l','ra3-g-e5-w','ra1-d-e1-l','ra1-d-e1-w','ra1-d-e2-l','ra1-d-e2-w','ra1-d-e3-l',
                             'ra1-d-e3-w','ra1-d-e4-l','ra1-d-e4-w','ra1-d-e5-l','ra1-d-e5-w','ra2-d-e1-l','ra2-d-e1-w',
                             'ra2-d-e2-l','ra2-d-e2-w','ra2-d-e3-l','ra2-d-e3-w','ra2-d-e4-l','ra2-d-e4-w','ra2-d-e5-l',
                             'ra2-d-e5-w','ra3-d-e1-l','ra3-d-e1-w','ra3-d-e2-l','ra3-d-e2-w','ra3-d-e3-l','ra3-d-e3-l',
                             'ra3-d-e4-l','ra3-d-e4-w','ra3-d-e5-l','ra3-d-e5-w')
  ##NaN
clausocaris_app<-nonapp(clausocaris_app)
  ##(Counter-)part averaging
clausocaris_app_avg<-avg(clausocaris_app)
  ##ratio
clausocaris_ratio<-ratio(clausocaris_app_avg)
  #means of measurements
clausocaris_app_avg<-meanmeas(clausocaris_app_avg)
  ##means of ratio
clausocaris_ratio<-meanmeas(clausocaris_ratio)
colnames(clausocaris_ratio)<-c('ra1-g-e1',	'ra1-g-e2',	'ra1-g-e3',	'ra1-g-e4',	'ra1-g-e5',	'ra2-g-e1',	'ra2-g-e2',	'ra2-g-e3',
                               'ra2-g-e4',	'ra2-g-e5',	'ra3-g-e1',	'ra3-g-e2',	'ra3-g-e3',	'ra3-g-e4',	'ra3-g-e5',	'ra1-d-e1',	
                               'ra1-d-e2',	'ra1-d-e3',	'ra1-d-e4',	'ra1-d-e5',	'ra2-d-e1',	'ra2-d-e2',	'ra2-d-e3',	'ra2-d-e4',
                               'ra2-d-e5',	'ra3-d-e1',	'ra3-d-e2',	'ra3-d-e3',	'ra3-d-e4',	'ra3-d-e5')
  ##export tables
write.csv(clausocaris_app_avg,"Export/clausocaris_appendages_measurements.csv") #measurements
write.csv(clausocaris_ratio,"Export/clausocaris_appendages_ratio.csv") #ratio


#Kilianicaris lerichei
  ##import
kilianicaris_app<-import('Data/Kilianicaris','Appendages')
colnames(kilianicaris_app)<-c('ra1-g-e1-l','ra1-g-e1-w','ra1-g-e2-l','ra1-g-e2-w','ra1-g-e3-l','ra1-g-e3-w','ra1-g-e4-l', 
                              'ra1-g-e4-w','ra1-g-e5-l','ra1-g-e5-w','ra2-g-e1-l','ra2-g-e1-w','ra2-g-e2-l','ra2-g-e2-w',	
                              'ra2-g-e3-l','ra2-g-e3-w','ra2-g-e4-l','ra2-g-e4-w','ra2-g-e5-l','ra2-g-e5-w','ra3-g-e1-l',	
                              'ra3-g-e1-w','ra3-g-e2-l','ra3-g-e2-w','ra3-g-e3-l','ra3-g-e3-w','ra3-g-e4-l','ra3-g-e4-w',
                              'ra3-g-e5-l','ra3-g-e5-w','ra1-d-e1-l','ra1-d-e1-w','ra1-d-e2-l','ra1-d-e2-w','ra1-d-e3-l',
                              'ra1-d-e3-w','ra1-d-e4-l','ra1-d-e4-w','ra1-d-e5-l','ra1-d-e5-w','ra2-d-e1-l','ra2-d-e1-w',
                              'ra2-d-e2-l','ra2-d-e2-w','ra2-d-e3-l','ra2-d-e3-w','ra2-d-e4-l','ra2-d-e4-w','ra2-d-e5-l',
                              'ra2-d-e5-w','ra3-d-e1-l','ra3-d-e1-w','ra3-d-e2-l','ra3-d-e2-w','ra3-d-e3-l','ra3-d-e3-l',
                              'ra3-d-e4-l','ra3-d-e4-w','ra3-d-e5-l','ra3-d-e5-w')
  ##NaN
kilianicaris_app<-nonapp(kilianicaris_app)
  ##(Counter-)part averaging
kilianicaris_app_avg<-avg(kilianicaris_app)
  ##ratio
kilianicaris_ratio<-ratio(kilianicaris_app_avg)
  ##means of measurements
kilianicaris_app_avg<-meanmeas(kilianicaris_app_avg)
  ##means of ratio
kilianicaris_ratio<-meanmeas(kilianicaris_ratio)
colnames(kilianicaris_ratio)<-c('ra1-g-e1',	'ra1-g-e2',	'ra1-g-e3',	'ra1-g-e4',	'ra1-g-e5',	'ra2-g-e1',	'ra2-g-e2',	'ra2-g-e3',
                               'ra2-g-e4',	'ra2-g-e5',	'ra3-g-e1',	'ra3-g-e2',	'ra3-g-e3',	'ra3-g-e4',	'ra3-g-e5',	'ra1-d-e1',	
                               'ra1-d-e2',	'ra1-d-e3',	'ra1-d-e4',	'ra1-d-e5',	'ra2-d-e1',	'ra2-d-e2',	'ra2-d-e3',	'ra2-d-e4',
                               'ra2-d-e5',	'ra3-d-e1',	'ra3-d-e2',	'ra3-d-e3',	'ra3-d-e4',	'ra3-d-e5')
  ##export tables
write.csv(kilianicaris_app_avg,"Export/Kilianicaris_appendages_measurements.csv") #measurements
write.csv(kilianicaris_ratio,"Export/Kilianicaris_appendages_ratio.csv") #ratio

#Ostenocaris ribeti
  ##import
ostenocaris_app<-import('Data/Ostenocaris','Appendages')
colnames(ostenocaris_app)<-c('ra1-g-e1-l','ra1-g-e1-w','ra1-g-e2-l','ra1-g-e2-w','ra1-g-e3-l','ra1-g-e3-w','ra1-g-e4-l', 
                             'ra1-g-e4-w','ra1-g-e5-l','ra1-g-e5-w','ra2-g-e1-l','ra2-g-e1-w','ra2-g-e2-l','ra2-g-e2-w',	
                             'ra2-g-e3-l','ra2-g-e3-w','ra2-g-e4-l','ra2-g-e4-w','ra2-g-e5-l','ra2-g-e5-w','ra3-g-e1-l',	
                             'ra3-g-e1-w','ra3-g-e2-l','ra3-g-e2-w','ra3-g-e3-l','ra3-g-e3-w','ra3-g-e4-l','ra3-g-e4-w',
                             'ra3-g-e5-l','ra3-g-e5-w','ra1-d-e1-l','ra1-d-e1-w','ra1-d-e2-l','ra1-d-e2-w','ra1-d-e3-l',
                             'ra1-d-e3-w','ra1-d-e4-l','ra1-d-e4-w','ra1-d-e5-l','ra1-d-e5-w','ra2-d-e1-l','ra2-d-e1-w',
                             'ra2-d-e2-l','ra2-d-e2-w','ra2-d-e3-l','ra2-d-e3-w','ra2-d-e4-l','ra2-d-e4-w','ra2-d-e5-l',
                             'ra2-d-e5-w','ra3-d-e1-l','ra3-d-e1-w','ra3-d-e2-l','ra3-d-e2-w','ra3-d-e3-l','ra3-d-e3-l',
                             'ra3-d-e4-l','ra3-d-e4-w','ra3-d-e5-l','ra3-d-e5-w')
  ##NaN
ostenocaris_app<-nonapp(ostenocaris_app)
  ##(Counter-)part averaging
ostenocaris_app_avg<-avg(ostenocaris_app)
  ##ratio
ostenocaris_ratio<-ratio(ostenocaris_app_avg)
  #means of measurements
ostenocaris_app_avg<-meanmeas(ostenocaris_app_avg)
  ##means of ratio
ostenocaris_ratio<-meanmeas(ostenocaris_ratio)
colnames(ostenocaris_ratio)<-c('ra1-g-e1',	'ra1-g-e2',	'ra1-g-e3',	'ra1-g-e4',	'ra1-g-e5',	'ra2-g-e1',	'ra2-g-e2',	'ra2-g-e3',
                                'ra2-g-e4',	'ra2-g-e5',	'ra3-g-e1',	'ra3-g-e2',	'ra3-g-e3',	'ra3-g-e4',	'ra3-g-e5',	'ra1-d-e1',	
                                'ra1-d-e2',	'ra1-d-e3',	'ra1-d-e4',	'ra1-d-e5',	'ra2-d-e1',	'ra2-d-e2',	'ra2-d-e3',	'ra2-d-e4',
                                'ra2-d-e5',	'ra3-d-e1',	'ra3-d-e2',	'ra3-d-e3',	'ra3-d-e4',	'ra3-d-e5')
  ##export tables
write.csv(ostenocaris_app_avg,"Export/Ostenocaris_appendages_measurements.csv") #measurements
write.csv(ostenocaris_ratio,"Export/Ostenocaris_appendages_ratio.csv") #ratio

#Ovalicaris secretana
  ##import
ovalicaris_app<-import('Data/Ovalicaris-secretana','Appendages')
colnames(ovalicaris_app)<-c('ra1-g-e1-l','ra1-g-e1-w','ra1-g-e2-l','ra1-g-e2-w','ra1-g-e3-l','ra1-g-e3-w','ra1-g-e4-l', 
                            'ra1-g-e4-w','ra1-g-e5-l','ra1-g-e5-w','ra2-g-e1-l','ra2-g-e1-w','ra2-g-e2-l','ra2-g-e2-w',	
                            'ra2-g-e3-l','ra2-g-e3-w','ra2-g-e4-l','ra2-g-e4-w','ra2-g-e5-l','ra2-g-e5-w','ra3-g-e1-l',	
                            'ra3-g-e1-w','ra3-g-e2-l','ra3-g-e2-w','ra3-g-e3-l','ra3-g-e3-w','ra3-g-e4-l','ra3-g-e4-w',
                            'ra3-g-e5-l','ra3-g-e5-w','ra1-d-e1-l','ra1-d-e1-w','ra1-d-e2-l','ra1-d-e2-w','ra1-d-e3-l',
                            'ra1-d-e3-w','ra1-d-e4-l','ra1-d-e4-w','ra1-d-e5-l','ra1-d-e5-w','ra2-d-e1-l','ra2-d-e1-w',
                            'ra2-d-e2-l','ra2-d-e2-w','ra2-d-e3-l','ra2-d-e3-w','ra2-d-e4-l','ra2-d-e4-w','ra2-d-e5-l',
                            'ra2-d-e5-w','ra3-d-e1-l','ra3-d-e1-w','ra3-d-e2-l','ra3-d-e2-w','ra3-d-e3-l','ra3-d-e3-l',
                            'ra3-d-e4-l','ra3-d-e4-w','ra3-d-e5-l','ra3-d-e5-w')
  ##NaN
ovalicaris_app<-nonapp(ovalicaris_app)
  ##(Counter-)part averaging
ovalicaris_app_avg<-avg(ovalicaris_app)
  ##ratio
ovalicaris_ratio<-ratio(ovalicaris_app_avg)
  ##means of measurements
ovalicaris_app_avg<-meanmeas(ovalicaris_app_avg)
  ##means of ratio
ovalicaris_ratio<-meanmeas(ovalicaris_ratio)
colnames(ovalicaris_ratio)<-c('ra1-g-e1',	'ra1-g-e2',	'ra1-g-e3',	'ra1-g-e4',	'ra1-g-e5',	'ra2-g-e1',	'ra2-g-e2',	'ra2-g-e3',
                               'ra2-g-e4',	'ra2-g-e5',	'ra3-g-e1',	'ra3-g-e2',	'ra3-g-e3',	'ra3-g-e4',	'ra3-g-e5',	'ra1-d-e1',	
                               'ra1-d-e2',	'ra1-d-e3',	'ra1-d-e4',	'ra1-d-e5',	'ra2-d-e1',	'ra2-d-e2',	'ra2-d-e3',	'ra2-d-e4',
                               'ra2-d-e5',	'ra3-d-e1',	'ra3-d-e2',	'ra3-d-e3',	'ra3-d-e4',	'ra3-d-e5')
  ##export tables
write.csv(ovalicaris_app_avg,"Export/Ovalicaris_appendages_measurements.csv") #measurements
write.csv(ovalicaris_ratio,"Export/Ovalicaris_appendages_ratio.csv") #ratio

#Paraostenia voultensis
  ##import
paraostenia_app<-import('Data/Paraostenia','Appendages')
colnames(paraostenia_app)<-c('ra1-g-e1-l','ra1-g-e1-w','ra1-g-e2-l','ra1-g-e2-w','ra1-g-e3-l','ra1-g-e3-w','ra1-g-e4-l', 
                             'ra1-g-e4-w','ra1-g-e5-l','ra1-g-e5-w','ra2-g-e1-l','ra2-g-e1-w','ra2-g-e2-l','ra2-g-e2-w',	
                             'ra2-g-e3-l','ra2-g-e3-w','ra2-g-e4-l','ra2-g-e4-w','ra2-g-e5-l','ra2-g-e5-w','ra3-g-e1-l',	
                             'ra3-g-e1-w','ra3-g-e2-l','ra3-g-e2-w','ra3-g-e3-l','ra3-g-e3-w','ra3-g-e4-l','ra3-g-e4-w',
                             'ra3-g-e5-l','ra3-g-e5-w','ra1-d-e1-l','ra1-d-e1-w','ra1-d-e2-l','ra1-d-e2-w','ra1-d-e3-l',
                             'ra1-d-e3-w','ra1-d-e4-l','ra1-d-e4-w','ra1-d-e5-l','ra1-d-e5-w','ra2-d-e1-l','ra2-d-e1-w',
                             'ra2-d-e2-l','ra2-d-e2-w','ra2-d-e3-l','ra2-d-e3-w','ra2-d-e4-l','ra2-d-e4-w','ra2-d-e5-l',
                             'ra2-d-e5-w','ra3-d-e1-l','ra3-d-e1-w','ra3-d-e2-l','ra3-d-e2-w','ra3-d-e3-l','ra3-d-e3-l',
                             'ra3-d-e4-l','ra3-d-e4-w','ra3-d-e5-l','ra3-d-e5-w')
  ##NaN
paraostenia_app<-nonapp(paraostenia_app)
  ##(Counter-)part averaging
paraostenia_app_avg<-avg(paraostenia_app)
  ##ratio
paraostenia_ratio<-ratio(paraostenia_app_avg)
  ##means of measurements
paraostenia_app_avg<-meanmeas(paraostenia_app_avg)
  ##means of ratio
paraostenia_ratio<-meanmeas(paraostenia_ratio)
colnames(paraostenia_ratio)<-c('ra1-g-e1',	'ra1-g-e2',	'ra1-g-e3',	'ra1-g-e4',	'ra1-g-e5',	'ra2-g-e1',	'ra2-g-e2',	'ra2-g-e3',
                              'ra2-g-e4',	'ra2-g-e5',	'ra3-g-e1',	'ra3-g-e2',	'ra3-g-e3',	'ra3-g-e4',	'ra3-g-e5',	'ra1-d-e1',	
                              'ra1-d-e2',	'ra1-d-e3',	'ra1-d-e4',	'ra1-d-e5',	'ra2-d-e1',	'ra2-d-e2',	'ra2-d-e3',	'ra2-d-e4',
                              'ra2-d-e5',	'ra3-d-e1',	'ra3-d-e2',	'ra3-d-e3',	'ra3-d-e4',	'ra3-d-e5')
  ##export tables
write.csv(paraostenia_app_avg,"Export/Paraostenia_appendages_measurements.csv") #measurements
write.csv(paraostenia_ratio,"Export/Paraostenia_appendages_ratio.csv") #ratio